%define name task-bs
%define version 2008.1
%define release %mkrel 11

Summary: Task package for the Mandriva build system nodes
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://www.mandriva.com/
BuildArch: noarch

%description
This task package installs the required components for the Mandriva
build system nodes.

%package common
Summary: Task package for common tools on Mandriva build system nodes
Group: System/Servers
Requires: basesystem
Requires: urpmi
Requires: cfengine-cfagent
Requires: openssh-server sshd-monitor
Requires: nss_ldap pam_ldap nscd
Requires: sudo
Requires: zsh
Requires: nail
Requires: ntp
Requires: smartmontools

%description common
This task package installs the required common components for the
Mandriva build system nodes.

%package cluster-base
Summary: Task package for base system of the Mandriva cluster nodes
Group: System/Servers
Requires: task-bs-common
Requires: nfs-utils
Requires: kernel-server-latest
Requires: net-snmp
Requires: icecream

%description cluster-base
This task package installs the required components for the base system
of the Mandriva cluster nodes.

%package cluster-chroot
Summary: Task package for chroot system of the Mandriva cluster nodes
Group: System/Servers
Requires: task-bs-common
Requires: autofs
Requires: nfs-utils-clients
Requires: mdv-youri-submit
# iurt requirements
Requires: mdv-distrib-tools mkcd perl-File-NCopy perl-Filesys-Statvfs_Statfs_Df perl-MIME-tools perl-RPM4 rsync
Requires: repsys perl-MDV-Repsys
Requires: icecream

%description cluster-chroot
This task package installs the required components for the chroot system
of the Mandriva cluster nodes, running cooker.

%package cluster-main
Summary: Task package for the main node of the Mandriva cluster
Group: System/Servers
Requires: task-bs-common
Requires: autofs
Requires: nfs-utils
Requires: repsys
Requires: smartmontools
Requires: apache-mpm-prefork
Requires: kernel-server-latest
Requires: mdv-youri-submit
Requires: net-snmp
Requires: icecream-scheduler

%description cluster-main
This task package installs the required components for the main node
of the Mandriva cluster (currently kenobi).

%package mirror-upload
Summary: Task package for mirror upload node in Mandriva build system
Group: System/Servers
Requires: task-bs-common
Requires: nfs-utils
Requires: mdv-youri-submit mkcd rsync lftp
Requires: dhcp-server pxe tftp-server
Requires: apache-mpm-prefork
Requires: postfix
Requires: kernel-server-latest
Requires: make
# for soft/build_system/mirror/mirrorlist called by generatelist.sh:
Requires: libxslt-proc

%description mirror-upload
This task package installs the required components for the mirror upload
node of the Mandriva build system (currently raoh).

%prep
%setup -q -T -c

%build

%install
rm -rf %{buildroot}

%clean
rm -rf %{buildroot}

%files common
%files cluster-base
%files cluster-chroot
%files cluster-main
%files mirror-upload


%changelog
* Fri Mar 07 2008 Olivier Blin <oblin@mandriva.com> 2008.1-11mdv2008.1
+ Revision: 181261
- require nail (to get alerts when cron jobs fail)

  + Pixel <pixel@mandriva.com>
    - add libxslt-proc for soft/build_system/mirror/mirrorlist called by generatelist.sh

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Added net-snmp requires to task-bs-base and task-bs-main: we will monitor them
      from outside.
    - Added icecream requires to tasb-bs-base and task-bs-main: icecream daemons
      should be executed from outside, while task-bs-main is the scheduler.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 2008.1-10mdv2008.1
+ Revision: 164274
- kenobi also needs mdv-youri-submit

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 2008.1-9mdv2008.1
+ Revision: 164184
- iurt requires rsync for log files
- require make on raoh
- require apache and kernel-server on kenobi

* Tue Jan 29 2008 Olivier Blin <oblin@mandriva.com> 2008.1-8mdv2008.1
+ Revision: 159684
- require lftp on mirror upload node

* Fri Jan 25 2008 Olivier Blin <oblin@mandriva.com> 2008.1-7mdv2008.1
+ Revision: 158095
- require nscd everywhere

* Tue Jan 22 2008 Olivier Blin <oblin@mandriva.com> 2008.1-6mdv2008.1
+ Revision: 156344
- require perl-MDV-Repsys in cluster chroots

* Tue Jan 22 2008 Olivier Blin <oblin@mandriva.com> 2008.1-5mdv2008.1
+ Revision: 156043
- require kernel-server-latest as well for mirror upload host
- require apache and postfix for mirror upload
- require rsync for mirror upload
- require mkcd on mirror upload host

* Mon Jan 21 2008 Olivier Blin <oblin@mandriva.com> 2008.1-4mdv2008.1
+ Revision: 155718
- add iurt requirements for cluster chroots (thanks to Anssi, #37001)

* Fri Jan 18 2008 Olivier Blin <oblin@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 154909
- add kernel-server-latest on cluster base systems
- make sure basesystem gets installed/reinstalled automatically on every cluster node

* Tue Jan 15 2008 Olivier Blin <oblin@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 152534
- install smartmontools
- install sshd-monitor everywhere
- require urpmi everywhere
- require ntp everywhere
- require nscd in cluster chroots
- require icecream in cluster chroots

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 136483
- oops, require nfs-utils instead of nfs-server
- require dhcp/pxe/tftp on main mirror
- require autofs on main cluster node
- require repsys on public cluster nodes
- require mdv-youri-submit in cluster chroots and mirror upload systems
- require zsh so that zsh users can login
- require cfengine-cfagent
- require nfs-utils-clients for cluster chroots
- add current node main in descriptions
- require autofs on cluster chroots
- require nfs-server on cluster base nodes, cluster main node and mirror upload node
- require sudo on all nodes
- require nss_ldap and pam_ldap on all nodes
- require openssh-server on all nodes
- initial task-bs package
- create task-bs

